

drivers/ide/ide-io.c: In function `ide_complete_barrier':
drivers/ide/ide-io.c:301: warning: long long unsigned int format, different type arg (arg 3)

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/ide/ide-io.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN drivers/ide/ide-io.c~disk-barrier-ide-warning-fix drivers/ide/ide-io.c
--- 25/drivers/ide/ide-io.c~disk-barrier-ide-warning-fix	2004-06-07 00:02:21.249541352 -0700
+++ 25-akpm/drivers/ide/ide-io.c	2004-06-07 00:02:21.254540592 -0700
@@ -297,7 +297,10 @@ static void ide_complete_barrier(ide_dri
 
 	drive->doing_barrier = 0;
 
-	printk(KERN_ERR "%s: failed barrier write: sector=%Lx(good=%d/bad=%d)\n", drive->name, sector, good_sectors, bad_sectors);
+	printk(KERN_ERR "%s: failed barrier write: "
+			"sector=%Lx(good=%d/bad=%d)\n",
+			drive->name, (unsigned long long)sector,
+			good_sectors, bad_sectors);
 }
 
 /**
_
